% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/create_fairify.R
\name{create_fairify}
\alias{create_fairify}
\title{Create a "fairify" project}
\usage{
create_fairify(
  path,
  tidy = TRUE,
  check_name = FALSE,
  open = rlang::is_interactive(),
  reports = TRUE,
  cloud = TRUE,
  git = TRUE,
  pkgdown = TRUE,
  destdir = "public",
  fields = list(Remotes = "git::https://forgemia.inra.fr/umr-g-eau/fairify.git"),
  ...
)
}
\arguments{
\item{path}{A path. If it exists, it is used. If it does not exist, it is
created, provided that the parent path exists.}

\item{tidy}{if \code{TRUE}, run \code{\link[usethis:use_testthat]{usethis::use_testthat()}}, and \code{\link[usethis:tidyverse]{usethis::use_tidy_description()}}}

\item{check_name}{Whether to check if the name is valid for CRAN and throw an
error if not.}

\item{open}{If \code{TRUE}, \link[usethis:proj_activate]{activates} the new project:
\itemize{
\item If using RStudio desktop, the package is opened in a new session.
\item If on RStudio server, the current RStudio project is activated.
\item Otherwise, the working directory and active project is changed.
}}

\item{reports}{If \code{TRUE}, run \code{create_reports}, preparing package structure for report publications}

\item{cloud}{If \code{TRUE}, copy fairify functions for cloud capabilities}

\item{git}{if \code{TRUE}, initialise a Git repository}

\item{pkgdown}{if \code{TRUE}, initialise a pkgdown web site (See \link[usethis:use_pkgdown]{usethis::use_pkgdown})}

\item{destdir}{Target directory for pkgdown website and reports}

\item{fields}{A named list of fields to add to \code{DESCRIPTION}, potentially
overriding default values. See \code{\link[usethis:use_description]{use_description()}} for how you can set
personalized defaults using package options.}

\item{...}{Further parameters passed to \link[usethis:create_package]{usethis::create_package}}
}
\value{
Use for side effect.
}
\description{
Create a package ready for fairify your project.
}
\examples{
path <- tempfile(pattern = "dir")
create_fairify(path, open = FALSE, git = FALSE)
list.files(path)
}
