% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/i18n.R
\name{i18n}
\alias{i18n}
\title{Translation for internationalisation}
\usage{
i18n(
  x,
  lang = getOption("lang", "english"),
  translation_table = pkg_sys("i18n.tsv"),
  silent = TRUE
)
}
\arguments{
\item{x}{Expression to translate in English}

\item{lang}{Language to translate (to choose among supported language by LaTeX babel package)}

\item{translation_table}{TSV file where translations are stored, on row by expression, on column by language}

\item{silent}{If the translation is not found returns the non-translated expression silently, otherwise it throws an error}
}
\value{
The translated expression.
}
\description{
Translation for internationalisation
}
\examples{
i18n("chapter", "french")
}
