test_that("add_report should raise error if reports does not exists", {
  path <- tempfile(pattern = "dir")
  dir.create(path, recursive = TRUE)
  expect_error(add_report("test", path = path))
  unlink(path, recursive = TRUE)
})

test_that("add_report should raise error if template does not exists", {
  path <- tempfile(pattern = "dir")
  dir.create(path, recursive = TRUE)
  create_reports(path)
  expect_error(add_report("test", template = "wrong_template", path = path))
  unlink(path, recursive = TRUE)
})

test_that("add_report should create a report", {
  path <- tempfile(pattern = "dir")
  dir.create(path, recursive = TRUE)
  create_reports(path)
  add_report("test", path = path)
  expect_true(
    all(file.exists(
      file.path(path,
                "reports/test",
                list.files(pkg_sys("bookdown_template")))
  )))
  unlink(path, recursive = TRUE)
})
